com.comtrade.ecm.engine.util

## Class ClassDetectionUtils

- java.lang.Object
- - com.comtrade.ecm.engine.util.ClassDetectionUtils

-     public class ClassDetectionUtils
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isBoolean(java.lang.Class<?> clazz)` Returns an information if a class is Boolean/boolean class.
    `static boolean` | `isBoolean(java.lang.Object object)` Returns an information if an object could be treated as Boolean.
    `static boolean` | `isCharacter(java.lang.Class<?> clazz)` Returns an information if a class is Character/char class.
    `static boolean` | `isCharacter(java.lang.Object object)` Returns an information if an object could be treated as Character.
    `static boolean` | `isDouble(java.lang.Class<?> clazz)` Returns an information if a class is Double/double class.
    `static boolean` | `isDouble(java.lang.Object object)` Returns an information if an object could be treated as Double.
    `static boolean` | `isFloat(java.lang.Class<?> clazz)` Returns an information if a class is Float/float class.
    `static boolean` | `isFloat(java.lang.Object object)` Returns an information if an object could be treated as Float.
    `static boolean` | `isInteger(java.lang.Class<?> clazz)` Returns an information if a class is Integer/int class.
    `static boolean` | `isInteger(java.lang.Object object)` Returns an information if an object could be treated as Integer.
    `static boolean` | `isLong(java.lang.Class<?> clazz)` Returns an information if a class is Long/long class.
    `static boolean` | `isLong(java.lang.Object object)` Returns an information if an object could be treated as Long.
    `static boolean` | `isOfClass(java.lang.Class<?> childClass, java.lang.Class<?> parentClass)` Returns an information if a type `childClass` is a subtype of `parentClass`.
    `static boolean` | `isOfClass(java.lang.Object object, java.lang.Class<?> parentClass)` Returns an information if an object is a of type `parentClass`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isBoolean

          public static boolean isBoolean(java.lang.Class<?> clazz)

      Returns an information if a class is Boolean/boolean class.
      Parameters:
        `clazz` - Class to be tested
      Returns:
        A confirmation that a `clazz` class is Boolean/boolean class

    - #### isBoolean

          public static boolean isBoolean(java.lang.Object object)

      Returns an information if an object could be treated as Boolean.
      Parameters:
        `object` - An object to be tested
      Returns:
        A confirmation that an object can be treated as a Boolean

    - #### isDouble

          public static boolean isDouble(java.lang.Class<?> clazz)

      Returns an information if a class is Double/double class.
      Parameters:
        `clazz` - Class to be tested
      Returns:
        A confirmation that a `clazz` class is Double/double class

    - #### isDouble

          public static boolean isDouble(java.lang.Object object)

      Returns an information if an object could be treated as Double.
      Parameters:
        `object` - An object to be tested
      Returns:
        A confirmation that an object can be treated as a Double

    - #### isFloat

          public static boolean isFloat(java.lang.Class<?> clazz)

      Returns an information if a class is Float/float class.
      Parameters:
        `clazz` - Class to be tested
      Returns:
        A confirmation that a `clazz` class is Float/float class

    - #### isFloat

          public static boolean isFloat(java.lang.Object object)

      Returns an information if an object could be treated as Float.
      Parameters:
        `object` - An object to be tested
      Returns:
        A confirmation that an object can be treated as a Float

    - #### isInteger

          public static boolean isInteger(java.lang.Class<?> clazz)

      Returns an information if a class is Integer/int class.
      Parameters:
        `clazz` - Class to be tested
      Returns:
        A confirmation that a `clazz` class is Integer/int class

    - #### isInteger

          public static boolean isInteger(java.lang.Object object)

      Returns an information if an object could be treated as Integer.
      Parameters:
        `object` - An object to be tested
      Returns:
        A confirmation that an object can be treated as a Integer

    - #### isLong

          public static boolean isLong(java.lang.Class<?> clazz)

      Returns an information if a class is Long/long class.
      Parameters:
        `clazz` - Class to be tested
      Returns:
        A confirmation that a `clazz` class is Long/long class

    - #### isLong

          public static boolean isLong(java.lang.Object object)

      Returns an information if an object could be treated as Long.
      Parameters:
        `object` - An object to be tested
      Returns:
        A confirmation that an object can be treated as a Long

    - #### isCharacter

          public static boolean isCharacter(java.lang.Class<?> clazz)

      Returns an information if a class is Character/char class.
      Parameters:
        `clazz` - Class to be tested
      Returns:
        A confirmation that a `clazz` class is Character/char class

    - #### isCharacter

          public static boolean isCharacter(java.lang.Object object)

      Returns an information if an object could be treated as Character.
      Parameters:
        `object` - An object to be tested
      Returns:
        A confirmation that an object can be treated as a Character

    - #### isOfClass

          public static boolean isOfClass(java.lang.Class<?> childClass,
                                          java.lang.Class<?> parentClass)

      Returns an information if a type `childClass` is a subtype of `parentClass`.
      Parameters:
        `childClass` - A class of a (potentially) subtype-object
        `parentClass` - A class of a (potentially) supertype-object
      Returns:
        an information if a type `childClass` is a subtype of `parentClass`.

    - #### isOfClass

          public static boolean isOfClass(java.lang.Object object,
                                          java.lang.Class<?> parentClass)

      Returns an information if an object is a of type `parentClass`.
      Parameters:
        `object` - An object whose type should be tested.
        `parentClass` - A class of a (potentially) supertype-object
      Returns:
        an information if an object `object` is a of type `parentClass`.